Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 956669 - Review Request: erebus - 2D real-time Role-Playing Game
Summary: Review Request: erebus - 2D real-time Role-Playing Game
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
Depends On:
Blocks: FE-DEADREVIEW FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2013-04-25 12:14 UTC by Christopher Meng
Modified: 2018-07-26 20:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-26 20:45:37 UTC
anto.trande: needinfo+


Attachments (Terms of Use)

Description Christopher Meng 2013-04-25 12:14:51 UTC
Spec URL: http://cicku.me/erebus.spec
SRPM URL: http://cicku.me/erebus-0.7-1.fc20.src.rpm
Description: Erebus is an Open Source RPG (Role-Playing Game), for PCs, smartphones, tablets and handhelds.
Fedora Account System Username: cicku

Comment 1 Christopher Meng 2013-04-30 06:13:35 UTC
Koji success:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5316703

Comment 2 Antonio Trande 2013-05-19 22:06:33 UTC
Hi Christopher.
Just some initial comments:

- I see some changes about FHS fixes. In my opinion, with a single modification into 'deployment.pri' file, you can resolve all at one time ;)

- .desktop file is already in the source archive; why do you add another one as Source1 ?

- %{_datadir}/%{name} directory must be owned by the package

- In erebus_source.txt file, the developer says:

>The source code is released under the GPL v3 or later.
>Please contact me if you have suggestions, bug fixes or whatever: mark dot harman >at ntlworld dot com .

I don't see any license file included, apart from docs/gpl.txt file that is not the GPLv3+ text file.

Comment 3 Christopher Meng 2013-05-20 09:58:30 UTC
(In reply to Antonio Trande from comment #2)
> Hi Christopher.
> Just some initial comments:
> 
> - I see some changes about FHS fixes. In my opinion, with a single
> modification into 'deployment.pri' file, you can resolve all at one time ;)

Thanks! I'm not familiar with Qt, now I remember this~

> - .desktop file is already in the source archive; why do you add another one
> as Source1 ?

Its bundled desktop file is invalid and doesn't match Fedora's standard, I think rewriting one is better than patching.

> - %{_datadir}/%{name} directory must be owned by the package

You mean I should remove the asterisk?

> - In erebus_source.txt file, the developer says:
> 
> >The source code is released under the GPL v3 or later.
> >Please contact me if you have suggestions, bug fixes or whatever: mark dot harman >at ntlworld dot com .
> 
> I don't see any license file included, apart from docs/gpl.txt file that is
> not the GPLv3+ text file.

Ok, I've mailed the author, hope he can fix that.

Thanks!

Comment 4 Antonio Trande 2013-05-20 16:07:42 UTC
(In reply to Christopher Meng from comment #3)
> > - .desktop file is already in the source archive; why do you add another one
> > as Source1 ?
> 
> Its bundled desktop file is invalid and doesn't match Fedora's standard, I
> think rewriting one is better than patching.

See 'desktop-file-edit' manpage.

> 
> > - %{_datadir}/%{name} directory must be owned by the package
> 
> You mean I should remove the asterisk?

No.
http://fedoraproject.org/wiki/Packaging:UnownedDirectories#Forgetting_to_Include_a_Toplevel_Directory

> 
> > - In erebus_source.txt file, the developer says:
> > 
> > >The source code is released under the GPL v3 or later.
> > >Please contact me if you have suggestions, bug fixes or whatever: mark dot harman >at ntlworld dot com .
> > 
> > I don't see any license file included, apart from docs/gpl.txt file that is
> > not the GPLv3+ text file.
> 
> Ok, I've mailed the author, hope he can fix that.
> 
> Thanks!

This is very important.

Comment 5 Pavel Alexeev 2014-04-25 12:50:26 UTC
$ LANG=C wget -c http://cicku.me/erebus.spec
--2014-04-25 16:50:09--  http://cicku.me/erebus.spec
Resolving cicku.me (cicku.me)... 37.59.54.136
Connecting to cicku.me (cicku.me)|37.59.54.136|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2014-04-25 16:50:09 ERROR 404: Not Found.

Comment 6 Ben Rosser 2016-09-09 20:54:26 UTC
Spec throws a 404 not found. Are you still interested in this review?

Comment 7 Zbigniew Jędrzejewski-Szmek 2017-03-11 18:36:23 UTC
The answer is most likely no, cicku is MIA.

Comment 8 Ben Rosser 2018-07-26 20:45:37 UTC
Well, there has been no response for a long time now so I think this can be closed as FE-DEADREVIEW.

I left it open so long because I have toyed with the idea of packaging erebus myself... however I'm not sure if/when I'll get around to it, so I may as well just close the ticket now.


Note You need to log in before you can comment on or make changes to this bug.